iOS 逆向必备工具和安装过程

释放双眼,带上耳机,听听看~!

iOS逆向必备工具:

MachOView
signer
idapro

iOS非必要,但可以增强开发效率工具:

Alfred
iTerm2
Zsh
Go2Shell
PP助手

切换bash

chsh -s /bin/bash

切换zsh

chsh -s /bin/zsh

iOS-MonkeyDev-非越狱插件开发集成神器!

可以使用Xcode开发CaptainHook Tweak、Logos Tweak 和 Command-line Tool,在越狱机器开发插件,这是原来iOSOpenDev功能的迁移和改进。
只需拖入一个砸壳应用,自动集成class-dump、restore-symbol、Reveal、Cycript和注入的动态库并重签名安装到非越狱机器。
支持调试自己编写的动态库和第三方App
支持通过CocoaPods第三方应用集成SDK以及非越狱插件,简单来说就是通过CocoaPods搭建了一个非越狱插件商店。

MonkeyDev-安装文档

安装最新的theos
sudo git clone --recursive https://github.com/theos/theos.git /opt/theos

Xcode进行安装(默认xcode,如果不是请参考官方文档):
sudo /bin/sh -c "$(curl -fsSL https://raw.githubusercontent.com/AloneMonkey/MonkeyDev/master/bin/md-install)"


1. 配置cycript

  • 1.1 下载 cycript , 解压到 /opt 目录下;

/opt 目录是下载theos自动生成的目录.

打开/关闭-隐藏文件的快捷键command+shift+.

cd到cycript目录下 方可使用次命令.

若想直接使用需要以下配置:

  • 1.2 配置全局环境变量
    • 进入 home 目录

$ cd ~


  • 配置 .bash_profile

$ vim .bash_profile
$ export PATH=/opt/你的cycript路径/$PATH

若没有.bash_profile文件 touch .bash_profile

  • 退出, 然后重新 加载 .bash_profile

$ source .bash_profile

  • 验证是否配置成功, 如果终端输出 cy# 表示成功!

$ cycript
cy#

1.3 如果ruby 版本过高, 会报错.

dyld: Library not loaded: /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/libruby.2.0.0.dylib
Referenced from: /Users/…/Downloads/cycript_0.9.594/Cycript.lib/cycript-apl
Reason: image not found

那么我们需要创建一个2.0版本的ruby 然后链接到2.3版本(你的当前版本)

查看 ruby 版本

$ ruby -v

关闭 SIP( System Integrity Protection )
电脑重启按住command+R,进入恢复模式
打开终端,输入csrutil disable,重启
如果想打开SIP,重复上两步,命令改为csrutil enable

替换低版本 Ruby

$ sudo mkdir -p /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/
$ sudo ln -s /System/Library/Frameworks/Ruby.framework/Versions/2.3/usr/lib/libruby.2.3.0.dylib /System/Library/Frameworks/Ruby.framework/Versions/2.0/usr/lib/libruby.2.0.0.dylib

此时成功

cycript可以使用


软件有需要的私信我!

人已赞赏
iOS文章

iOS 自定义键盘

2020-2-21 3:15:48

iOS文章

iOS UITextField实用实现手机账号344格式

2020-2-21 5:15:30

个人中心
购物车
优惠劵
今日签到
有新私信 私信列表
搜索